// header for LSA_Header.cpp

#include <stdio.h>

#ifndef deftestip
 #include "IP.h"
#endif

#define	deftestlsaheader

//LSA types
#define	ROUTER_LSA 1

class LSA_Header 
{
  //Constructors, Get, Set etc.
 public:
  LSA_Header();
  ~LSA_Header();
  int set(char type, IP lsID, IP advRouter);
  int set(char type);
  int setLength(unsigned short length);
  unsigned short getLength();
  IP& getLSID();
 
  //operating methods
  void display(FILE* outFile);
  LSA_Header & operator=(LSA_Header &right);
  int operator==(LSA_Header &right);

  // Data Members for Class Attributes
 private:
  unsigned short ls_Age;
  char options;
  char ls_Type;
  IP link_State_ID;
  IP advertising_Router;
  int ls_SequenceNumber;
  short ls_CheckSum;
  unsigned short ls_Length;
};
