// Header file for Link.cpp

#ifndef deftestip
 #include "IP.h"
#endif

#define	deftestlink

//Link Types
#define	P2P	1
#define	SN	2

class Link 
{
  //Constructor, Get, Set etc.
 public:
  Link();
  ~Link();
  void set(int ownId, char typ, int id1, int id2, unsigned short lCost);
  void setEnds(IP e1, IP e2);
  void setEnds(IP e1, IP e2, IP e3);
  int getID();
  int getRouter();
  char getType();
  int getNet_Router();
  unsigned short getCost();
  IP& getEnd1();
  IP& getEnd2();
  IP& getEnd2Mask();

  //Data members
 private:
  int id;
  int end1;
  char type;
  int end2;
  unsigned short cost;
  IP end1IP;
  IP end2IP;
  IP end2Mask;
};


