//header for Link_Data.cpp

#include <stdio.h>

#ifndef deftestip
 #include "IP.h"
#endif

#ifndef deftestlink
 #include "Link.h"
#endif

#define deftestlinkdata

class Link_Data 
{
  //Constructors, Get, Set etc.
 public:
  
  Link_Data();
  ~Link_Data();
  int set(IP id, IP data, char typ, unsigned short cost);
  IP& getID();
  IP& getData();
  char getType();
  char getTOS();
  unsigned short getMetric();

  //Operational methods
  void display(FILE* outFile);
  Link_Data & operator=(Link_Data &right);
  int operator==(Link_Data &right);
  
  // Data Members 
 private:
  IP link_ID;
  IP link_Data;
  char type;
  char tosNumber;//always set to zero in this simulator
  unsigned short metric;//cost
};

